import 'package:car_app/model/user.dart';

extension UserMapCoverter on User {
  static const String idFieldName = "id";
  static const String emailFieldName = "email";
  static const String nameFieldName = "name";

  Map<String, dynamic> toMap() {
    return {
      idFieldName: id,
      emailFieldName: username,
      nameFieldName: name,
    };
  }

  static User<String> fromMap(Map<String, dynamic> map) {
    return User(
      id: map[idFieldName],
      username: map[emailFieldName],
      name: map[emailFieldName],
    );
  }
}
